Summary: LDAP User Management
Name: ldapusermgmt
Version: 0.3
Release: 1
# URL: 
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
# openldap-servers are required because of slappasswd
Requires: openldap-servers
Requires: openldap-clients
Requires: ldifusermgmt
Requires: bash-ini
Requires: bash-base
Requires: gawk
Requires: %{name}-common = %{version}

%description
LDAP user mangement tools with support for samba domains and
automounter.

%package common
Summary: Common files for LDAP User Management
Requires: bash-base >= 0.4.20
Requires: bash >= 4.2

%description common
LDAP user mangement tools with support for samba domains and
automounter.

This packages contains common files.

%package files-helper
Summary: LDAP User Management Files Helper
Requires: %{name}-common = %{version}
Requires: tar
Requires: pixz

%description files-helper
LDAP user mangement tools with support for samba domains and
automounter.

This helper package must be present on homedir host which can be
different from the LDAP DB host. It is responsible to perform file
operations.

lumfileshelper does not take any arguments, so when allowing an LDAP
admin to launch it via SSH authorized_keys it is best practive to use
'command=%{_sbindir}/lumfileshelper'

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_sysconfdir}/%{name}/resolver-configs,%{_bindir},%{_libexecdir}/%{name},%{_libdir}/%{name}}

cp -a bin/* %{buildroot}/%{_bindir}/.
cp -a libexec/* %{buildroot}/%{_libexecdir}/%{name}/.
cp -a config/* %{buildroot}/%{_sysconfdir}/%{name}/.
cp -a resolver-configs/* %{buildroot}/%{_sysconfdir}/%{name}/resolver-configs/.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,-,-) %{_bindir}/lum*
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/resolver-configs/*.conf
%doc doc/*

%files common
%{_libexecdir}/%{name}/common.bash

%files files-helper
%defattr(-,root,root)
%attr(0755,-,-) %{_libexecdir}/%{name}/lumfileshelper
